Name: ktamaga
Version: 0.7.2
Release: alt3
License: GPL
Group: Toys
Summary: Tamagotchi emulator
URL: http://ktamaga.sf.net
Source: %{name}-%{version}.tar.gz
Patch: ktamaga-fix-gcc3.4.patch

# Automatically added by buildreq on Tue Jan 25 2005
BuildRequires: fontconfig freetype2 gcc-c++ kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel libtiff-devel xorg-x11-devel xorg-x11-libs zlib-devel

%description
This is a Tamagotchi emulator (you know, that silly LCD game from Ban Dai)

%prep
%setup -q 
%__subst 's,\.la,\.so,' configure
%patch -p0

%build
%configure --disable-rpath
%make

%install
%__mkdir_p  %buildroot{%_bindir,%_datadir,%_menudir}
make install DESTDIR=%buildroot
%find_lang %{name}


# Menu                                                                          
%__cat << EOF > %buildroot%_menudir/%name
?package(%name): needs="X11" section="Amusement/Toys" title="KTamaga" longtitle="Tamagotchi emulator" command="%_bindir/%{name}" icon="%{name}.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%exclude %_datadir/apps/%{name}/Makefile*
%_bindir/*
%_datadir/apps/*
%_datadir/applnk/*
%_menudir/*
%_iconsdir/*/*/*/*.png
%_defaultdocdir/HTML/en/* 
%doc ChangeLog README AUTHORS COPYING 


%changelog
* Thu Apr 28 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.7.2-alt3
- Makefiles free

* Tue Jan 25 2005 Eugene V. Horohorin <genix@altlinux.ru> 0.7.2-alt2
- gcc3.4 build

* Wed Oct 06 2004 Eugene V. Horohorin <genix@altlinux.ru> 0.7.2-alt1
- First build.

